Bug 247998 - ident not compatible with Subversion 1.2 and later
ident not compatible with Subversion 1.2 and later
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rcs (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Honza Horak
BaseOS QE Security Team
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-12 12:23 EDT by Carlie J. Coats, Jr.
Modified: 2013-03-13 13:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 13:43:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of a file with both old-style and SVN1.2-style keywords (2.34 MB, application/octet-stream)
2007-07-12 12:23 EDT, Carlie J. Coats, Jr.
no flags Details
Patch for ident to support new SVN syntax. (1020 bytes, patch)
2007-07-17 10:22 EDT, Jiri Moskovcak
no flags Details | Diff

  None (edit)
Description Carlie J. Coats, Jr. 2007-07-12 12:23:18 EDT
Description of problem:

From the Subversion _Red Book_:
    "...if you are using Subversion 1.2 or better, you can use the
    new fixed-length keyword syntax...
    $Rev:: 13            $..."

But from "man ident":

    ident finds all instances of the $keyword: text $ pattern,
    even if key- word is not actually an RCS-supported keyword.
    This gives you information about nonstandard keywords like
    $XConsortium$.


Version-Release number of selected component (if applicable):

all


How reproducible:

Steps to Reproduce:
1.Build an executable "foo" with a Subversion 1.2 style fixed-length keyword,
say '$Bar::    foo bar$'.
2.Run "ident foo"
3.Run "strings foo | grep '$Bar:'"
  
Actual results:

ident doesn't pick up the keyword; the strings/grep combination does.


Expected results:

ident _should_ pick up Subversion keywords, since the latter is turning
into the currently-dominant code management system.

Additional info:
Comment 1 Carlie J. Coats, Jr. 2007-07-12 12:23:19 EDT
Created attachment 159069 [details]
Example of a file with both old-style and SVN1.2-style keywords
Comment 2 Jiri Moskovcak 2007-07-17 10:22:17 EDT
Created attachment 159438 [details]
Patch for ident to support new SVN syntax.
Comment 3 RHEL Product and Program Management 2008-02-01 14:05:33 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Ondrej Vasik 2011-02-18 06:31:38 EST
As RHEL-4.9 is last update for RHEL-4 and it is not suitable for new features
and should address only security, performance and critical issues, I'm moving the bugzilla to RHEL-5. If you want to increase chances to have this fixed there, please contact product support - bugzilla is just bugtracking, not the support tool - and updates are support driven.
Comment 5 RHEL Product and Program Management 2012-06-11 21:05:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 6 Honza Horak 2013-03-13 13:43:16 EDT
This bug has been fixed in RHEL-6 and there is no chance to fix this in RHEL-5 any more, since RHEL 5.10 is going to include only serious fixes.

Note You need to log in before you can comment on or make changes to this bug.